Error
A valid request URL is required to generate request examples{
"recipient_address": "<string>",
"recipient_first_name": "<string>",
"recipient_last_name": "<string>",
"recipient_zip": "<string>",
"recipient_city": "<string>",
"recipient_country": "<string>",
"id": "<string>",
"tracking_code": "<string>",
"reference_number": "<string>",
"pickup_point_selected": true,
"planned_pickup_datetime": "2023-11-07T05:31:56Z",
"comment": "<string>",
"warehouse_address": "<string>",
"warehouse": "<string>",
"shipment_tag": {
"tag1": "value1",
"tag2": "value2"
},
"recipient_name": "<string>",
"return_parcel": true,
"trackable": true,
"goods_value_currency": "EUR",
"recipient_address_details": "<string>",
"reference_number_2": "reference number 2",
"local_delivery": true,
"cod_reference": "<string>",
"order_id": "<string>",
"carrier_tracking_url": "<string>",
"carrier": {
"name": "prime-network",
"country": "<string>"
},
"carrier_service": "standard",
"recipient_company_name": "<string>",
"recipient_email": "<string>",
"recipient_phone": "<string>",
"weight": 123
}This response has no body data.This response has no body data.Shipments
Replace Shipment
PUT
/
v2
/
shipments
/
{id}
Error
A valid request URL is required to generate request examples{
"recipient_address": "<string>",
"recipient_first_name": "<string>",
"recipient_last_name": "<string>",
"recipient_zip": "<string>",
"recipient_city": "<string>",
"recipient_country": "<string>",
"id": "<string>",
"tracking_code": "<string>",
"reference_number": "<string>",
"pickup_point_selected": true,
"planned_pickup_datetime": "2023-11-07T05:31:56Z",
"comment": "<string>",
"warehouse_address": "<string>",
"warehouse": "<string>",
"shipment_tag": {
"tag1": "value1",
"tag2": "value2"
},
"recipient_name": "<string>",
"return_parcel": true,
"trackable": true,
"goods_value_currency": "EUR",
"recipient_address_details": "<string>",
"reference_number_2": "reference number 2",
"local_delivery": true,
"cod_reference": "<string>",
"order_id": "<string>",
"carrier_tracking_url": "<string>",
"carrier": {
"name": "prime-network",
"country": "<string>"
},
"carrier_service": "standard",
"recipient_company_name": "<string>",
"recipient_email": "<string>",
"recipient_phone": "<string>",
"weight": 123
}This response has no body data.This response has no body data.Authorizations
We use JWT Tokens for the authorization.
Please add an 'Authorization' header for a request. Generate a valid JWT token using user credentials. See Auth - Token section.
The value should contain the following:
'Bearer GENERATED_TOKEN'
Path Parameters
Body
application/jsonapplication/ld+jsontext/html
The updated Shipment resource
Class Shipment
Example:
{ "tag1": "value1", "tag2": "value2" }
Pattern:
^[a-zA-Z]{3}$Example:
"EUR"
Only shown in DPD AT labels.
Example:
"reference number 2"
Class Carrier
Show child attributes
Show child attributes
Available options:
standard, express, other Example:
"standard"
Response
Shipment resource updated
Class Shipment
Example:
{ "tag1": "value1", "tag2": "value2" }
Pattern:
^[a-zA-Z]{3}$Example:
"EUR"
Only shown in DPD AT labels.
Example:
"reference number 2"
Class Carrier
Show child attributes
Show child attributes
Available options:
standard, express, other Example:
"standard"

